//------------------------------------------------------
// Mouse.c
// Mouse event callback for "euler" plot.
// David Vainapel
// vainape@ibm.net
//------------------------------------------------------
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"
#include "eplot.h"

int waitForMouse = 0;
extern float mx,my;

static void SendMousePos( int x,int y) 
{
	if( waitForMouse )
	{
		float mouse[2];
		mouse[0] =  (x - MARGINX) / mx + XMIN;
		mouse[1] =  (y - MARGINY) / my + YMIN;
		write( STDOUT_FILENO, mouse, sizeof(mouse) );
		waitForMouse = 0;
	}
}

int
Mouse( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if( Ph_EV_RELEASE_REAL == cbinfo->event->subtype )
	{
		PhRect_t *rect;
		rect = PhGetRects( cbinfo->event );
		SendMousePos( rect->ul.x,  rect->ul.y) ;
	}
	return( Pt_CONTINUE );
}

