/* ------------------------------------------------------*/
/* resize.c                                              */
/* Resize callback for "euler" plot.                     */ 
/* David Vainapel										 */
/* vainape@ibm.net										 */
/* ------------------------------------------------------*/
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"


int
resize( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	PtArg_t	args[2];
	PhDim_t dim;
	PhPoint_t pos = { 0, 0 };

	PtWidgetDim( widget, &dim );
	dim.w -= pos.x;
	dim.h -= pos.y;

	PtSetArg( &args[0], Pt_ARG_POS, &pos, 0 );
	PtSetArg( &args[1], Pt_ARG_DIM, &dim, 0 );
	PtSetResources( ABW_Graph, 2, args );
	return( Pt_CONTINUE );
}

